# Defaults
background = new BackgroundLayer({backgroundColor:"#F6F6F6"})

Framer.Defaults.Animation = {
    curve: "spring(200,30,0)",
    time: .2
}

# Get users and set result count
users = JSON.parse Utils.domLoadDataSync "http://api.randomuser.me/?results=10"

# Viewport
screenWidth = (percent) ->
	Framer.Device.screen.width * (percent)
	
screenHeight = (percent) ->
	Framer.Device.screen.height * (percent)

# Placing all cells within a container
Container = new Layer backgroundColor: "transparent", width:screenWidth(1), height:screenHeight(1)
Container.center()
Container.style.padding = "40px 0 0 0"
Container.scroll = true

n = 0

# Create the cells
for colNumber in [0...9]

	firstName = users.results[n]["user"]["name"]["first"]
	lastName = users.results[n]["user"]["name"]["last"]
	avatar = users.results[n]["user"]["picture"]["medium"]

	cell = new Layer
	    width:screenWidth(.9)
	    height:200
	    backgroundColor: "#fff"
	    shadowY: 2
	    shadowBlur: 5
	    borderRadius: "6px"
	    y: (colNumber) * 220
  
	cell.shadowColor = "rgba(0, 0, 0, 0.25)"
	cell.superLayer = Container
	cell.centerX()
  
	usernameText = new Layer
		superLayer: cell
		backgroundColor: "transparent"
		x:200
		height:40
		width:400
  	
	usernameText.centerY()	
	usernameText.html = firstName + " " + " " + lastName
	usernameText.style = {color:"#000",fontSize:"40px",textTransform:"capitalize"}
  
	avatarFrame = new Layer
		width:  140
		height: 140
		x:30
		y:30
		image: avatar
		superLayer: cell
    
	avatarFrame.style = {borderRadius:"70px"}
  
	n = n + 1